call cleanup.bat

REM prepare GEMSIM files for ORANIG03 and MkDiag
tablo -sti oranig03.sti >tbmodel.log
if errorlevel 1 goto error
tablo -sti mkdiag.sti >tbmkdiag.log
if errorlevel 1 goto error

REM next simulation uses original non-square data OZDAT934.HAR
gemsim -cmf orng03sr.cmf >nul:
if errorlevel 1 goto error

REM next creates data OUT1.HAR and info file DIAG1.HAR
gemsim -cmf mkdiag.cmf >nul:
if errorlevel 1 goto error

REM next simulation uses diagonalized data OUT1.HAR
gemsim -cmf orng03sx.cmf >nul:
if errorlevel 1 goto error

dir/od *.har
dir/od *.sl4
echo BATCH JOB SUCCESSFUL
goto endbat
:error
echo off
echo ###### ERROR: BATCH JOB FAILED #####
echo Check log file; most recent is listed last
dir/od *.log
:endbat
